Bug 821263 - Uniq multi-byte patch incompatibilities
Uniq multi-byte patch incompatibilities
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 12:17 EDT by Andrej Antas
Modified: 2013-08-14 10:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 10:43:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch adding multi-byte functionality tests (15.45 KB, patch)
2012-05-13 12:50 EDT, Andrej Antas
no flags Details | Diff

  None (edit)
Description Andrej Antas 2012-05-13 12:17:00 EDT
Description of problem:
As multibyte patch contains different paths from upstream and it is hard to
track the changes in behaviour, this bugzilla will be to track found
incompatibilites && fixes in coreutils-i18n patch for uniq utility.


Version-Release number of selected component (if applicable):
coreutils-8.15-8.fc18


Steps to Reproduce:
1. Call following commands with LC_ALL=C and LC_ALL=fr_FR.UTF-8 locales

a) echo -n -e "aaa\naaa\n" | uniq -s1

b) echo -n -e "baa\naaa\n" | uniq -s1

c) echo -n -e "aaa\naaa\n" | uniq -s1 --

d) echo -n -e "baa\naaa\n" | uniq -s1 --

  
Actual results:
Results are different (or command fails)

Expected results:
Results should be same

Additional info:
mistakes found after applying attached patch (it adds multibyte tests for utilities cut, expand, fold, join, pr, sort, unexpand, uniq)
Comment 1 Andrej Antas 2012-05-13 12:50:39 EDT
Created attachment 584158 [details]
patch adding multi-byte functionality tests
Comment 2 Fedora End Of Life 2013-04-03 15:36:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Ondrej Vasik 2013-08-14 10:43:37 EDT
Jaromir Koncicky checked the failures, these mentioned in description are no longer failing, other failures in cut/uniq are caused by different "'" character in multibyte/singlebyte version of uniq and in obsolete syntax check. I think there is nothing to fix atm, closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.